// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: capbankmodule/capbankmodule.proto

package openfmb.capbankmodule;

/**
 * <pre>
 * Cap bank reading profile
 * </pre>
 *
 * Protobuf type {@code capbankmodule.CapBankReadingProfile}
 */
public final class CapBankReadingProfile extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:capbankmodule.CapBankReadingProfile)
    CapBankReadingProfileOrBuilder {
private static final long serialVersionUID = 0L;
  // Use CapBankReadingProfile.newBuilder() to construct.
  private CapBankReadingProfile(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private CapBankReadingProfile() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new CapBankReadingProfile();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.capbankmodule.Capbankmodule.internal_static_capbankmodule_CapBankReadingProfile_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.capbankmodule.Capbankmodule.internal_static_capbankmodule_CapBankReadingProfile_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.capbankmodule.CapBankReadingProfile.class, openfmb.capbankmodule.CapBankReadingProfile.Builder.class);
  }

  public static final int READINGMESSAGEINFO_FIELD_NUMBER = 1;
  private openfmb.commonmodule.ReadingMessageInfo readingMessageInfo_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the readingMessageInfo field is set.
   */
  @java.lang.Override
  public boolean hasReadingMessageInfo() {
    return readingMessageInfo_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return The readingMessageInfo.
   */
  @java.lang.Override
  public openfmb.commonmodule.ReadingMessageInfo getReadingMessageInfo() {
    return readingMessageInfo_ == null ? openfmb.commonmodule.ReadingMessageInfo.getDefaultInstance() : readingMessageInfo_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.ReadingMessageInfoOrBuilder getReadingMessageInfoOrBuilder() {
    return readingMessageInfo_ == null ? openfmb.commonmodule.ReadingMessageInfo.getDefaultInstance() : readingMessageInfo_;
  }

  public static final int CAPBANKREADING_FIELD_NUMBER = 2;
  private openfmb.capbankmodule.CapBankReading capBankReading_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the capBankReading field is set.
   */
  @java.lang.Override
  public boolean hasCapBankReading() {
    return capBankReading_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The capBankReading.
   */
  @java.lang.Override
  public openfmb.capbankmodule.CapBankReading getCapBankReading() {
    return capBankReading_ == null ? openfmb.capbankmodule.CapBankReading.getDefaultInstance() : capBankReading_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.capbankmodule.CapBankReadingOrBuilder getCapBankReadingOrBuilder() {
    return capBankReading_ == null ? openfmb.capbankmodule.CapBankReading.getDefaultInstance() : capBankReading_;
  }

  public static final int CAPBANKSYSTEM_FIELD_NUMBER = 3;
  private openfmb.capbankmodule.CapBankSystem capBankSystem_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the capBankSystem field is set.
   */
  @java.lang.Override
  public boolean hasCapBankSystem() {
    return capBankSystem_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The capBankSystem.
   */
  @java.lang.Override
  public openfmb.capbankmodule.CapBankSystem getCapBankSystem() {
    return capBankSystem_ == null ? openfmb.capbankmodule.CapBankSystem.getDefaultInstance() : capBankSystem_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.capbankmodule.CapBankSystemOrBuilder getCapBankSystemOrBuilder() {
    return capBankSystem_ == null ? openfmb.capbankmodule.CapBankSystem.getDefaultInstance() : capBankSystem_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (readingMessageInfo_ != null) {
      output.writeMessage(1, getReadingMessageInfo());
    }
    if (capBankReading_ != null) {
      output.writeMessage(2, getCapBankReading());
    }
    if (capBankSystem_ != null) {
      output.writeMessage(3, getCapBankSystem());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (readingMessageInfo_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getReadingMessageInfo());
    }
    if (capBankReading_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getCapBankReading());
    }
    if (capBankSystem_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getCapBankSystem());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.capbankmodule.CapBankReadingProfile)) {
      return super.equals(obj);
    }
    openfmb.capbankmodule.CapBankReadingProfile other = (openfmb.capbankmodule.CapBankReadingProfile) obj;

    if (hasReadingMessageInfo() != other.hasReadingMessageInfo()) return false;
    if (hasReadingMessageInfo()) {
      if (!getReadingMessageInfo()
          .equals(other.getReadingMessageInfo())) return false;
    }
    if (hasCapBankReading() != other.hasCapBankReading()) return false;
    if (hasCapBankReading()) {
      if (!getCapBankReading()
          .equals(other.getCapBankReading())) return false;
    }
    if (hasCapBankSystem() != other.hasCapBankSystem()) return false;
    if (hasCapBankSystem()) {
      if (!getCapBankSystem()
          .equals(other.getCapBankSystem())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasReadingMessageInfo()) {
      hash = (37 * hash) + READINGMESSAGEINFO_FIELD_NUMBER;
      hash = (53 * hash) + getReadingMessageInfo().hashCode();
    }
    if (hasCapBankReading()) {
      hash = (37 * hash) + CAPBANKREADING_FIELD_NUMBER;
      hash = (53 * hash) + getCapBankReading().hashCode();
    }
    if (hasCapBankSystem()) {
      hash = (37 * hash) + CAPBANKSYSTEM_FIELD_NUMBER;
      hash = (53 * hash) + getCapBankSystem().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.capbankmodule.CapBankReadingProfile parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.capbankmodule.CapBankReadingProfile parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.capbankmodule.CapBankReadingProfile parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.capbankmodule.CapBankReadingProfile parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.capbankmodule.CapBankReadingProfile parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.capbankmodule.CapBankReadingProfile parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.capbankmodule.CapBankReadingProfile parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.capbankmodule.CapBankReadingProfile parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.capbankmodule.CapBankReadingProfile parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.capbankmodule.CapBankReadingProfile parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.capbankmodule.CapBankReadingProfile parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.capbankmodule.CapBankReadingProfile parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.capbankmodule.CapBankReadingProfile prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Cap bank reading profile
   * </pre>
   *
   * Protobuf type {@code capbankmodule.CapBankReadingProfile}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:capbankmodule.CapBankReadingProfile)
      openfmb.capbankmodule.CapBankReadingProfileOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.capbankmodule.Capbankmodule.internal_static_capbankmodule_CapBankReadingProfile_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.capbankmodule.Capbankmodule.internal_static_capbankmodule_CapBankReadingProfile_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.capbankmodule.CapBankReadingProfile.class, openfmb.capbankmodule.CapBankReadingProfile.Builder.class);
    }

    // Construct using openfmb.capbankmodule.CapBankReadingProfile.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      readingMessageInfo_ = null;
      if (readingMessageInfoBuilder_ != null) {
        readingMessageInfoBuilder_.dispose();
        readingMessageInfoBuilder_ = null;
      }
      capBankReading_ = null;
      if (capBankReadingBuilder_ != null) {
        capBankReadingBuilder_.dispose();
        capBankReadingBuilder_ = null;
      }
      capBankSystem_ = null;
      if (capBankSystemBuilder_ != null) {
        capBankSystemBuilder_.dispose();
        capBankSystemBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.capbankmodule.Capbankmodule.internal_static_capbankmodule_CapBankReadingProfile_descriptor;
    }

    @java.lang.Override
    public openfmb.capbankmodule.CapBankReadingProfile getDefaultInstanceForType() {
      return openfmb.capbankmodule.CapBankReadingProfile.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.capbankmodule.CapBankReadingProfile build() {
      openfmb.capbankmodule.CapBankReadingProfile result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.capbankmodule.CapBankReadingProfile buildPartial() {
      openfmb.capbankmodule.CapBankReadingProfile result = new openfmb.capbankmodule.CapBankReadingProfile(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.capbankmodule.CapBankReadingProfile result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.readingMessageInfo_ = readingMessageInfoBuilder_ == null
            ? readingMessageInfo_
            : readingMessageInfoBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.capBankReading_ = capBankReadingBuilder_ == null
            ? capBankReading_
            : capBankReadingBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.capBankSystem_ = capBankSystemBuilder_ == null
            ? capBankSystem_
            : capBankSystemBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.capbankmodule.CapBankReadingProfile) {
        return mergeFrom((openfmb.capbankmodule.CapBankReadingProfile)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.capbankmodule.CapBankReadingProfile other) {
      if (other == openfmb.capbankmodule.CapBankReadingProfile.getDefaultInstance()) return this;
      if (other.hasReadingMessageInfo()) {
        mergeReadingMessageInfo(other.getReadingMessageInfo());
      }
      if (other.hasCapBankReading()) {
        mergeCapBankReading(other.getCapBankReading());
      }
      if (other.hasCapBankSystem()) {
        mergeCapBankSystem(other.getCapBankSystem());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getReadingMessageInfoFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getCapBankReadingFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getCapBankSystemFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.ReadingMessageInfo readingMessageInfo_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ReadingMessageInfo, openfmb.commonmodule.ReadingMessageInfo.Builder, openfmb.commonmodule.ReadingMessageInfoOrBuilder> readingMessageInfoBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the readingMessageInfo field is set.
     */
    public boolean hasReadingMessageInfo() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return The readingMessageInfo.
     */
    public openfmb.commonmodule.ReadingMessageInfo getReadingMessageInfo() {
      if (readingMessageInfoBuilder_ == null) {
        return readingMessageInfo_ == null ? openfmb.commonmodule.ReadingMessageInfo.getDefaultInstance() : readingMessageInfo_;
      } else {
        return readingMessageInfoBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setReadingMessageInfo(openfmb.commonmodule.ReadingMessageInfo value) {
      if (readingMessageInfoBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        readingMessageInfo_ = value;
      } else {
        readingMessageInfoBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setReadingMessageInfo(
        openfmb.commonmodule.ReadingMessageInfo.Builder builderForValue) {
      if (readingMessageInfoBuilder_ == null) {
        readingMessageInfo_ = builderForValue.build();
      } else {
        readingMessageInfoBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeReadingMessageInfo(openfmb.commonmodule.ReadingMessageInfo value) {
      if (readingMessageInfoBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          readingMessageInfo_ != null &&
          readingMessageInfo_ != openfmb.commonmodule.ReadingMessageInfo.getDefaultInstance()) {
          getReadingMessageInfoBuilder().mergeFrom(value);
        } else {
          readingMessageInfo_ = value;
        }
      } else {
        readingMessageInfoBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearReadingMessageInfo() {
      bitField0_ = (bitField0_ & ~0x00000001);
      readingMessageInfo_ = null;
      if (readingMessageInfoBuilder_ != null) {
        readingMessageInfoBuilder_.dispose();
        readingMessageInfoBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.ReadingMessageInfo.Builder getReadingMessageInfoBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getReadingMessageInfoFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.ReadingMessageInfoOrBuilder getReadingMessageInfoOrBuilder() {
      if (readingMessageInfoBuilder_ != null) {
        return readingMessageInfoBuilder_.getMessageOrBuilder();
      } else {
        return readingMessageInfo_ == null ?
            openfmb.commonmodule.ReadingMessageInfo.getDefaultInstance() : readingMessageInfo_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ReadingMessageInfo readingMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ReadingMessageInfo, openfmb.commonmodule.ReadingMessageInfo.Builder, openfmb.commonmodule.ReadingMessageInfoOrBuilder> 
        getReadingMessageInfoFieldBuilder() {
      if (readingMessageInfoBuilder_ == null) {
        readingMessageInfoBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.ReadingMessageInfo, openfmb.commonmodule.ReadingMessageInfo.Builder, openfmb.commonmodule.ReadingMessageInfoOrBuilder>(
                getReadingMessageInfo(),
                getParentForChildren(),
                isClean());
        readingMessageInfo_ = null;
      }
      return readingMessageInfoBuilder_;
    }

    private openfmb.capbankmodule.CapBankReading capBankReading_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.capbankmodule.CapBankReading, openfmb.capbankmodule.CapBankReading.Builder, openfmb.capbankmodule.CapBankReadingOrBuilder> capBankReadingBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the capBankReading field is set.
     */
    public boolean hasCapBankReading() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The capBankReading.
     */
    public openfmb.capbankmodule.CapBankReading getCapBankReading() {
      if (capBankReadingBuilder_ == null) {
        return capBankReading_ == null ? openfmb.capbankmodule.CapBankReading.getDefaultInstance() : capBankReading_;
      } else {
        return capBankReadingBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setCapBankReading(openfmb.capbankmodule.CapBankReading value) {
      if (capBankReadingBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        capBankReading_ = value;
      } else {
        capBankReadingBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setCapBankReading(
        openfmb.capbankmodule.CapBankReading.Builder builderForValue) {
      if (capBankReadingBuilder_ == null) {
        capBankReading_ = builderForValue.build();
      } else {
        capBankReadingBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeCapBankReading(openfmb.capbankmodule.CapBankReading value) {
      if (capBankReadingBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          capBankReading_ != null &&
          capBankReading_ != openfmb.capbankmodule.CapBankReading.getDefaultInstance()) {
          getCapBankReadingBuilder().mergeFrom(value);
        } else {
          capBankReading_ = value;
        }
      } else {
        capBankReadingBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearCapBankReading() {
      bitField0_ = (bitField0_ & ~0x00000002);
      capBankReading_ = null;
      if (capBankReadingBuilder_ != null) {
        capBankReadingBuilder_.dispose();
        capBankReadingBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.capbankmodule.CapBankReading.Builder getCapBankReadingBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getCapBankReadingFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.capbankmodule.CapBankReadingOrBuilder getCapBankReadingOrBuilder() {
      if (capBankReadingBuilder_ != null) {
        return capBankReadingBuilder_.getMessageOrBuilder();
      } else {
        return capBankReading_ == null ?
            openfmb.capbankmodule.CapBankReading.getDefaultInstance() : capBankReading_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankReading capBankReading = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.capbankmodule.CapBankReading, openfmb.capbankmodule.CapBankReading.Builder, openfmb.capbankmodule.CapBankReadingOrBuilder> 
        getCapBankReadingFieldBuilder() {
      if (capBankReadingBuilder_ == null) {
        capBankReadingBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.capbankmodule.CapBankReading, openfmb.capbankmodule.CapBankReading.Builder, openfmb.capbankmodule.CapBankReadingOrBuilder>(
                getCapBankReading(),
                getParentForChildren(),
                isClean());
        capBankReading_ = null;
      }
      return capBankReadingBuilder_;
    }

    private openfmb.capbankmodule.CapBankSystem capBankSystem_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.capbankmodule.CapBankSystem, openfmb.capbankmodule.CapBankSystem.Builder, openfmb.capbankmodule.CapBankSystemOrBuilder> capBankSystemBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the capBankSystem field is set.
     */
    public boolean hasCapBankSystem() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The capBankSystem.
     */
    public openfmb.capbankmodule.CapBankSystem getCapBankSystem() {
      if (capBankSystemBuilder_ == null) {
        return capBankSystem_ == null ? openfmb.capbankmodule.CapBankSystem.getDefaultInstance() : capBankSystem_;
      } else {
        return capBankSystemBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setCapBankSystem(openfmb.capbankmodule.CapBankSystem value) {
      if (capBankSystemBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        capBankSystem_ = value;
      } else {
        capBankSystemBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setCapBankSystem(
        openfmb.capbankmodule.CapBankSystem.Builder builderForValue) {
      if (capBankSystemBuilder_ == null) {
        capBankSystem_ = builderForValue.build();
      } else {
        capBankSystemBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeCapBankSystem(openfmb.capbankmodule.CapBankSystem value) {
      if (capBankSystemBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          capBankSystem_ != null &&
          capBankSystem_ != openfmb.capbankmodule.CapBankSystem.getDefaultInstance()) {
          getCapBankSystemBuilder().mergeFrom(value);
        } else {
          capBankSystem_ = value;
        }
      } else {
        capBankSystemBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearCapBankSystem() {
      bitField0_ = (bitField0_ & ~0x00000004);
      capBankSystem_ = null;
      if (capBankSystemBuilder_ != null) {
        capBankSystemBuilder_.dispose();
        capBankSystemBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.capbankmodule.CapBankSystem.Builder getCapBankSystemBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getCapBankSystemFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.capbankmodule.CapBankSystemOrBuilder getCapBankSystemOrBuilder() {
      if (capBankSystemBuilder_ != null) {
        return capBankSystemBuilder_.getMessageOrBuilder();
      } else {
        return capBankSystem_ == null ?
            openfmb.capbankmodule.CapBankSystem.getDefaultInstance() : capBankSystem_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankSystem capBankSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.capbankmodule.CapBankSystem, openfmb.capbankmodule.CapBankSystem.Builder, openfmb.capbankmodule.CapBankSystemOrBuilder> 
        getCapBankSystemFieldBuilder() {
      if (capBankSystemBuilder_ == null) {
        capBankSystemBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.capbankmodule.CapBankSystem, openfmb.capbankmodule.CapBankSystem.Builder, openfmb.capbankmodule.CapBankSystemOrBuilder>(
                getCapBankSystem(),
                getParentForChildren(),
                isClean());
        capBankSystem_ = null;
      }
      return capBankSystemBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:capbankmodule.CapBankReadingProfile)
  }

  // @@protoc_insertion_point(class_scope:capbankmodule.CapBankReadingProfile)
  private static final openfmb.capbankmodule.CapBankReadingProfile DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.capbankmodule.CapBankReadingProfile();
  }

  public static openfmb.capbankmodule.CapBankReadingProfile getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<CapBankReadingProfile>
      PARSER = new com.google.protobuf.AbstractParser<CapBankReadingProfile>() {
    @java.lang.Override
    public CapBankReadingProfile parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<CapBankReadingProfile> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<CapBankReadingProfile> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.capbankmodule.CapBankReadingProfile getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

